#include<stdio.h>
#include<math.h>
void DOUT();
double E1();
double L1(double Z);
double C1(double Z);
double C2(double Z);
double R1(double J,double Z);
double R2(double J,double Z);
double F1();
double L2(double Z);
void FUNC(double T,double X[],int N);
double FU(int I,double T,double X[]);
double OP[100];
double H,X[130],XX[30],T;
double PA[10000];
double DX[130];
double DSIGN(double a,double b);


void DOUT(){
  OP[0]=X[4];
  OP[1]=X[5];
}

double E1(){
  double E1;
if(T<=0.1){
E1=PA[1];
}else{
E1=0;
}
  return(E1);
}

double L1(double Z){
  double L1;
L1=Z/PA[2];
  return(L1);
}

double C1(double Z){
  double C1;
C1=PA[3]*Z;
  return(C1);
}

double C2(double Z){
  double C2;
C2=PA[4]*Z;
  return(C2);
}

double R1(double J,double Z){
  double R1;
R1=PA[5]*Z;
  return(R1);
}

double R2(double J,double Z){
  double R2;
R2=PA[6]*Z;
  return(R2);
}

double F1(){
  double F1;
F1=0;
  return(F1);
}

double L2(double Z){
  double L2;
L2=Z/PA[7];
  return(L2);
}

void FUNC(double T,double X[],int N){
  DX[0]=(E1()-C1(X[1])-R1(0,(L1(X[0])-L2(X[3]))));
  DX[1]=(L1(X[0])-L2(X[3]));
  DX[2]=(L2(X[3])-F1());
  DX[3]=(R1(0,(L1(X[0])-L2(X[3])))+C1(X[1])-C2(X[2])-R2(0,(L2(X[3])-F1())));
  DX[4]=L1(X[0]);
  DX[5]=L2(X[3]);
}

double FU(int I,double T,double X[]){
  double FU;
  FU=0.0e-00;
  return(FU);
}

